
Redmine - Defect #8088

Colorful indentation of subprojects must be on right in RTL locales

2011-04-06 16:14 - Ebrahim Mohammadi

Status: Closed Start date: 2011-04-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version: 1.1.2

Description

Colorful indentation of subprojects must be on right in RTL locales. But currently it is placed on left regardless of locale's direction.

Associated revisions

Revision 5606 - 2011-04-30 12:11 - Toshi MARUYAMA

Show colorful indentation of subprojects on right in RTL locales (#8088).

Contributed by Mohammad Ebrahim Mohammadi Panah.

Revision 5607 - 2011-04-30 12:12 - Toshi MARUYAMA

Fixed colorful indentation and "my projects" mark positioning in projects view for RTL locales (#8088).

Contributed by Mohammad Ebrahim Mohammadi Panah.

Revision 5608 - 2011-04-30 12:12 - Toshi MARUYAMA

Fixed hierarchy appearance for subtasks and admin projects view (#8088).

Contributed by Mohammad Ebrahim Mohammadi Panah.

Revision 5609 - 2011-04-30 12:13 - Toshi MARUYAMA

Fixed wiki TOC hierarchy for RTL locales (#8088).

Contributed by Mohammad Ebrahim Mohammadi Panah.

History

#1 - 2011-04-06 16:32 - Ebrahim Mohammadi

- File redmine-colorful-indentation-on-right-for-rtl-locales.diff added

The attached patch should fix it.

#2 - 2011-04-08 13:14 - Ebrahim Mohammadi

Provided patch doesn't fix the issue completely. There are still problems with margins and multi-level project hierarchies.

#3 - 2011-04-09 09:56 - Ebrahim Mohammadi

- File redmine-rtl-projects-view-css.diff added

New patch fixes the colorful indentation as well as "my projects" mark (star) placement for RTL locales, which is currently on left while should be on

right.

#4 - 2011-04-09 16:16 - Etienne Massip

- Target version set to Candidate for next minor release

#5 - 2011-04-10 08:54 - Ebrahim Mohammadi

- File redmine-css-rtl-hierarchies-fixes.diff added

The new patch (redmine-css-rtl-hierarchies-fixes.diff) fixes these for RTL locales:
Colored indentation of projects view

Positioning of "my project" icon (start) in projects view

Positioning of icons in administration page

Positioning of OpenID icon in URL input field

Hierarchy view of projects in /admin/projects

Hierarchy view of subtasks

#6 - 2011-04-10 10:35 - Ebrahim Mohammadi

- File redmine-rtl-css-fixes-3.diff added

And this new one adds another fix: hierarchy of Wiki TOC items.

I guess title of the issue should be changed.

#7 - 2011-04-30 12:16 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.2.0

- Resolution set to Fixed

Ebrahim, I pulled your bitbucket mercurial repository, and transplanted revisions and pushed to Redmine subversion repository.

Thanks.

Files

redmine-colorful-indentation-on-right-for-rtl-locales.diff 634 Bytes 2011-04-06 Ebrahim Mohammadi

redmine-rtl-projects-view-css.diff 497 Bytes 2011-04-09 Ebrahim Mohammadi

redmine-css-rtl-hierarchies-fixes.diff 1.87 KB 2011-04-10 Ebrahim Mohammadi

redmine-rtl-css-fixes-3.diff 1.99 KB 2011-04-10 Ebrahim Mohammadi
